---
title: Form Validators
description: Validators are configurable functions used to check whether an input value matches a specific criteria.
---

<script setup>
import * as examples from './examples';
</script>

# Form Validators
## Validators are configurable functions used to check whether an input value matches a specific criteria.

There are several validation options that can be used in the `validators` field:

### Alpha Validator

<example :component="examples.IFormValidationValidatorsAlphaExample" :html="examples.IFormValidationValidatorsAlphaExampleHTML" :js="examples.IFormValidationValidatorsAlphaExampleJS"></example>

### Alphanumeric Validator

<example :component="examples.IFormValidationValidatorsAlphanumericExample" :html="examples.IFormValidationValidatorsAlphanumericExampleHTML" :js="examples.IFormValidationValidatorsAlphanumericExampleJS"></example>

### Email Validator

<example :component="examples.IFormValidationValidatorsEmailExample" :html="examples.IFormValidationValidatorsEmailExampleHTML" :js="examples.IFormValidationValidatorsEmailExampleJS"></example>

### Min Validator

<example :component="examples.IFormValidationValidatorsMinExample" :html="examples.IFormValidationValidatorsMinExampleHTML" :js="examples.IFormValidationValidatorsMinExampleJS"></example>


### Max Validator

<example :component="examples.IFormValidationValidatorsMaxExample" :html="examples.IFormValidationValidatorsMaxExampleHTML" :js="examples.IFormValidationValidatorsMaxExampleJS"></example>

### Min Length Validator

<example :component="examples.IFormValidationValidatorsMinLengthExample" :html="examples.IFormValidationValidatorsMinLengthExampleHTML" :js="examples.IFormValidationValidatorsMinLengthExampleJS"></example>

### Max Length Validator

<example :component="examples.IFormValidationValidatorsMaxLengthExample" :html="examples.IFormValidationValidatorsMaxLengthExampleHTML" :js="examples.IFormValidationValidatorsMaxLengthExampleJS"></example>

### Number Validator

<example :component="examples.IFormValidationValidatorsNumberExample" :html="examples.IFormValidationValidatorsNumberExampleHTML" :js="examples.IFormValidationValidatorsNumberExampleJS"></example>

### Required Validator

<example :component="examples.IFormValidationValidatorsRequiredExample" :html="examples.IFormValidationValidatorsRequiredExampleHTML" :js="examples.IFormValidationValidatorsRequiredExampleJS"></example>

### Same As Validator

<example :component="examples.IFormValidationValidatorsSameAsExample" :html="examples.IFormValidationValidatorsSameAsExampleHTML" :js="examples.IFormValidationValidatorsSameAsExampleJS"></example>

### Custom Validator

<example :component="examples.IFormValidationValidatorsCustomExample" :html="examples.IFormValidationValidatorsCustomExampleHTML" :js="examples.IFormValidationValidatorsCustomExampleJS"></example>
