---
title: Getting Started
description: Get started with Inkline and experience well written, designed and tested front end code.
---

# Getting Started
## Get started with Inkline and experience well written, designed and tested front end code.

Inkline is the customizable Vue.js UI Library that promotes not only **User Interface** and **User Experience**, but also **Developer Experience**, using a consistent and expressive API. Inkline has been designed for creating flawless responsive web applications.

### Basic Installation
Inkline offers official integrations for Vue CLI and Nuxt.js, but can be easily installed for a custom Vue.js configuration as well:

<router-link class="link-card" :to="{ name: 'docs-introduction-installation-vue-cli' }">
    <i-card>
        <div class="image"><img src="/images/vuejs.svg" alt="Vue.js" /></div>
        <span>Vue CLI Installation</span>
        <i-icon icon="ink-chevron-right"></i-icon>
    </i-card>
</router-link>

<router-link class="link-card" :to="{ name: 'docs-introduction-installation-nuxt' }">
    <i-card>
        <div class="image"><img src="/images/nuxtjs.svg" alt="Nuxt.js" /></div>
        <span>Nuxt.js Installation</span>
        <i-icon icon="ink-chevron-right"></i-icon>
    </i-card>
</router-link>

<router-link class="link-card" :to="{ name: 'docs-introduction-installation-custom' }">
    <i-card>
        <div class="image"><img src="/images/webpack.svg" alt="WebPack" /></div>
        <span>Custom Installation</span>
        <i-icon icon="ink-chevron-right"></i-icon>
    </i-card>
</router-link>

<router-link class="link-card" :to="{ name: 'docs-introduction-installation-cdn' }">
    <i-card>
        <div class="image"><i-icon icon="fa-globe" /></div>
        <span>CDN Installation</span>
        <i-icon icon="ink-chevron-right"></i-icon>
    </i-card>
</router-link>
