---
title: Color Utilities
description: Inkline uses a beautiful, consistent color scheme across the framework. 
---

<script setup>
import * as examples from './examples';
</script>


# Color Utilities

## Inkline uses a beautiful, consistent color scheme across the framework. 

### Brand Colors

Attract your user's attention using brand colors. The main colors of Inkline used for branding are:

<example type="color-utilities" :component="examples.ColorBrandBackgroundExample" :html="examples.ColorBrandBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBrandPrimaryBackgroundExample" :html="examples.ColorBrandPrimaryBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBrandSecondaryBackgroundExample" :html="examples.ColorBrandSecondaryBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBrandLightBackgroundExample" :html="examples.ColorBrandLightBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBrandDarkBackgroundExample" :html="examples.ColorBrandDarkBackgroundExampleHTML"></example>

You can also add brand text colors using text-specific helper classes:

<example type="color-utilities" :component="examples.ColorBrandTextExample" :html="examples.ColorBrandTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBrandPrimaryTextExample" :html="examples.ColorBrandPrimaryTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBrandSecondaryTextExample" :html="examples.ColorBrandSecondaryTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBrandLightTextExample" :html="examples.ColorBrandLightTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBrandDarkTextExample" :html="examples.ColorBrandDarkTextExampleHTML"></example>

### State Colors
When displaying state information such as info, success, warning, or error messages, you will need to color your message accordingly. The state colors are:

<example type="color-utilities" :component="examples.ColorStateBackgroundExample" :html="examples.ColorStateBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorStateInfoBackgroundExample" :html="examples.ColorStateInfoBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorStateSuccessBackgroundExample" :html="examples.ColorStateSuccessBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorStateWarningBackgroundExample" :html="examples.ColorStateWarningBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorStateDangerBackgroundExample" :html="examples.ColorStateDangerBackgroundExampleHTML"></example>

You can also add state text colors using text-specific helper classes:

<example type="color-utilities" :component="examples.ColorStateTextExample" :html="examples.ColorStateTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorStateInfoTextExample" :html="examples.ColorStateInfoTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorStateSuccessTextExample" :html="examples.ColorStateSuccessTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorStateWarningTextExample" :html="examples.ColorStateWarningTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorStateDangerTextExample" :html="examples.ColorStateDangerTextExampleHTML"></example>

### Basic
Basic colors are useful when working with multiple colors on the same page. The following basic colors are 
available when using the default variant.

You can use helper classes to add state color backgrounds:

<example type="color-utilities" :component="examples.ColorBasicBackgroundExample" :html="examples.ColorBasicBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicRedBackgroundExample" :html="examples.ColorBasicRedBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicOrangeBackgroundExample" :html="examples.ColorBasicOrangeBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicYellowBackgroundExample" :html="examples.ColorBasicYellowBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicGreenBackgroundExample" :html="examples.ColorBasicGreenBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicTealBackgroundExample" :html="examples.ColorBasicTealBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicBlueBackgroundExample" :html="examples.ColorBasicBlueBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicPurpleBackgroundExample" :html="examples.ColorBasicPurpleBackgroundExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicPinkBackgroundExample" :html="examples.ColorBasicPinkBackgroundExampleHTML"></example>

You can also add state text colors using text-specific helper classes:

<example type="color-utilities" :component="examples.ColorBasicTextExample" :html="examples.ColorBasicTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicRedTextExample" :html="examples.ColorBasicRedTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicOrangeTextExample" :html="examples.ColorBasicOrangeTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicYellowTextExample" :html="examples.ColorBasicYellowTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicGreenTextExample" :html="examples.ColorBasicGreenTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicTealTextExample" :html="examples.ColorBasicTealTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicBlueTextExample" :html="examples.ColorBasicBlueTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicPurpleTextExample" :html="examples.ColorBasicPurpleTextExampleHTML"></example>

<example type="color-utilities" :component="examples.ColorBasicPinkTextExample" :html="examples.ColorBasicPinkTextExampleHTML"></example>

### Neutral
Neutral colors are used for text, background and border colors. You can use different neutral colors to display your content:

<example type="color-utilities" :component="examples.ColorNeutralBackgroundExample" :html="examples.ColorNeutralBackgroundExampleHTML"></example>

You can also add neutral text colors using text-specific helper classes:

<example type="color-utilities" :component="examples.ColorNeutralTextExample" :html="examples.ColorNeutralTextExampleHTML"></example>

### Social Media
Inkline provides social media colors from most of your favorite sites.

You can use helper classes to add social media color backgrounds:

<example type="color-utilities" :component="examples.ColorSocialBackgroundExample" :html="examples.ColorSocialBackgroundExampleHTML"></example>

You can also add social media text colors using text-specific helper classes:

<example type="color-utilities" :component="examples.ColorSocialTextExample" :html="examples.ColorSocialTextExampleHTML"></example>
